GetRealtimeStats
GET
/analytics/v1/realtimeResponse Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.RealtimeStats",
"$ref-value": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
},
"active_users": {
"type": "string",
"examples": [
"1250"
],
"title": "active_users",
"format": "int64"
},
"events_per_minute": {
"type": "string",
"examples": [
"1250"
],
"title": "events_per_minute",
"format": "int64"
},
"top_events": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.EventCount",
"$ref-value": {
"type": "object",
"properties": {
"event_type": {
"type": "string",
"title": "event_type"
},
"count": {
"type": "string",
"examples": [
"1250"
],
"title": "count",
"format": "int64"
}
},
"title": "EventCount",
"additionalProperties": false
}
},
"title": "top_events"
},
"top_countries": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.CountryCount",
"$ref-value": {
"type": "object",
"properties": {
"country": {
"type": "string",
"examples": [
"US"
],
"title": "country"
},
"count": {
"type": "string",
"examples": [
"1250"
],
"title": "count",
"format": "int64"
}
},
"title": "CountryCount",
"additionalProperties": false
}
},
"title": "top_countries"
},
"recent_events": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.RecentEvent",
"$ref-value": {
"type": "object",
"properties": {
"event_type": {
"type": "string",
"title": "event_type"
},
"user_id": {
"type": "string",
"examples": [
"QwErTy1234"
],
"title": "user_id"
},
"content_id": {
"type": "string",
"title": "content_id"
},
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
}
},
"title": "RecentEvent",
"additionalProperties": false
}
},
"title": "recent_events"
}
},
"title": "RealtimeStats",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/analytics/v1/realtime"Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.RealtimeStats",
"$ref-value": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
},
"active_users": {
"type": "string",
"examples": [
"1250"
],
"title": "active_users",
"format": "int64"
},
"events_per_minute": {
"type": "string",
"examples": [
"1250"
],
"title": "events_per_minute",
"format": "int64"
},
"top_events": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.EventCount",
"$ref-value": {
"type": "object",
"properties": {
"event_type": {
"type": "string",
"title": "event_type"
},
"count": {
"type": "string",
"examples": [
"1250"
],
"title": "count",
"format": "int64"
}
},
"title": "EventCount",
"additionalProperties": false
}
},
"title": "top_events"
},
"top_countries": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.CountryCount",
"$ref-value": {
"type": "object",
"properties": {
"country": {
"type": "string",
"examples": [
"US"
],
"title": "country"
},
"count": {
"type": "string",
"examples": [
"1250"
],
"title": "count",
"format": "int64"
}
},
"title": "CountryCount",
"additionalProperties": false
}
},
"title": "top_countries"
},
"recent_events": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.RecentEvent",
"$ref-value": {
"type": "object",
"properties": {
"event_type": {
"type": "string",
"title": "event_type"
},
"user_id": {
"type": "string",
"examples": [
"QwErTy1234"
],
"title": "user_id"
},
"content_id": {
"type": "string",
"title": "content_id"
},
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
}
},
"title": "RecentEvent",
"additionalProperties": false
}
},
"title": "recent_events"
}
},
"title": "RealtimeStats",
"additionalProperties": false
}
}